< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package http
  Definition Classes
    hmrc
-  package controllers
  Definition Classes
    http
-  package hooks
  Definition Classes
    http
-  package logging
  Definition Classes
    http
- AkamaiReputation
- Authorization
- BadGatewayException
- BadRequestException
- ConflictException
- CookieNames
- CoreDelete
- CoreGet
- CorePatch
- CorePost
- CorePut
- DeleteHttpTransport
- ExpectationFailedException
- FailedDependencyException
- ForbiddenException
- ForwardedFor
- GatewayTimeoutException
- GetHttpTransport
- GoneException
- HeaderCarrier
- HeaderNames
- HttpClient
- HttpDelete
- HttpErrorFunctions
- HttpException
- HttpGet
- HttpPatch
- HttpPost
- HttpPut
- HttpReads
- HttpReadsEither
- HttpReadsHttpResponse
- HttpReadsInstances
- HttpReadsJson
- HttpReadsLegacyInstances
- HttpReadsLegacyJson
- HttpReadsLegacyOption
- HttpReadsLegacyRawReads
- HttpReadsOption
- HttpReadsTry
- HttpResponse
- HttpTransport
- HttpVerb
- HttpVerbs
- HttpVersionNotSupportedException
- InsufficientStorageException
- InternalServerException
- JsValidationException
- LengthRequiredException
- LockedException
- LowPriorityHttpReadsJson
- MethodNotAllowedException
- NotAcceptableException
- NotFoundException
- NotImplementedException
- PatchHttpTransport
- PaymentRequiredException
- PostHttpTransport
- PreconditionFailedException
- ProxyAuthenticationRequiredException
- PutHttpTransport
- Request
- RequestChain
- RequestEntityTooLargeException
- RequestId
- RequestRangeNotSatisfiableException
- RequestTimeoutException
- RequestUriTooLongException
- Retries
- ServiceUnavailableException
- SessionId
- SessionKeys
- StringContextOps
- TooManyRequestException
- UnauthorizedException
- UnprocessableEntityException
- UnsupportedMediaTypeException
- Upstream4xxResponse
- Upstream5xxResponse
- UpstreamErrorResponse
- UrlValidationException

t

uk.gov.hmrc.http

# HttpPost 

###

#### trait HttpPost extends CorePost with PostHttpTransport with HttpVerb with ConnectionTracing with HttpHooks with Retries

Linear Supertypes
Retries, HttpHooks, ConnectionTracing, HttpVerb, Request, PostHttpTransport, CorePost, AnyRef, Any
Known Subclasses
HttpClient
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. HttpPost
2. Retries
3. HttpHooks
4. ConnectionTracing
5. HttpVerb
6. Request
7. PostHttpTransport
8. CorePost
9. AnyRef
10. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1.  abstract def actorSystem: ActorSystem
   Attributes
     protected
   Definition Classes
     Retries
2.  abstract def configuration: Config
   Attributes
     protected
   Definition Classes
     Retries
3.  abstract def doEmptyPost[A](url: String, headers: Seq[(String, String)] = Seq.empty)(implicit ec: ExecutionContext): Future[HttpResponse]
   Definition Classes
     PostHttpTransport
4.  abstract def doFormPost(url: String, body: Map[String, Seq[String]], headers: Seq[(String, String)] = Seq.empty)(implicit ec: ExecutionContext): Future[HttpResponse]
   Definition Classes
     PostHttpTransport
5.  abstract def doPost[A](url: String, body: A, headers: Seq[(String, String)] = Seq.empty)(implicit wts: Writes[A], ec: ExecutionContext): Future[HttpResponse]
   Definition Classes
     PostHttpTransport
6.  abstract def doPostString(url: String, body: String, headers: Seq[(String, String)] = Seq.empty)(implicit ec: ExecutionContext): Future[HttpResponse]
   Definition Classes
     PostHttpTransport
7.  abstract val hooks: Seq[HttpHook]
   Definition Classes
     HttpHooks

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val NoneRequired: Seq[HttpHook]
   Definition Classes
     HttpHooks
5.  def POST[I, O](url: String, body: I, headers: Seq[(String, String)])(implicit wts: Writes[I], rds: HttpReads[O], hc: HeaderCarrier, ec: ExecutionContext): Future[O]
   Definition Classes
     HttpPost → CorePost
6.  def POST[I, O](url: URL, body: I, headers: Seq[(String, String)])(implicit wts: Writes[I], rds: HttpReads[O], hc: HeaderCarrier, ec: ExecutionContext): Future[O]
   Definition Classes
     CorePost
7.  final def POST[I, O](url: URL, body: I)(implicit wts: Writes[I], rds: HttpReads[O], hc: HeaderCarrier, ec: ExecutionContext): Future[O]
   Definition Classes
     CorePost
8.  def POSTEmpty[O](url: String, headers: Seq[(String, String)])(implicit rds: HttpReads[O], hc: HeaderCarrier, ec: ExecutionContext): Future[O]
   Definition Classes
     HttpPost → CorePost
9.  def POSTEmpty[O](url: URL, headers: Seq[(String, String)])(implicit rds: HttpReads[O], hc: HeaderCarrier, ec: ExecutionContext): Future[O]
   Definition Classes
     CorePost
10.  final def POSTEmpty[O](url: URL)(implicit rds: HttpReads[O], hc: HeaderCarrier, ec: ExecutionContext): Future[O]
    Definition Classes
      CorePost
11.  def POSTForm[O](url: String, body: Map[String, Seq[String]], headers: Seq[(String, String)])(implicit rds: HttpReads[O], hc: HeaderCarrier, ec: ExecutionContext): Future[O]
    Definition Classes
      HttpPost → CorePost
12.  def POSTForm[O](url: URL, body: Map[String, Seq[String]], headers: Seq[(String, String)])(implicit rds: HttpReads[O], hc: HeaderCarrier, ec: ExecutionContext): Future[O]
    Definition Classes
      CorePost
13.  final def POSTForm[O](url: URL, body: Map[String, Seq[String]])(implicit rds: HttpReads[O], hc: HeaderCarrier, ec: ExecutionContext): Future[O]
    Definition Classes
      CorePost
14.  def POSTString[O](url: String, body: String, headers: Seq[(String, String)])(implicit rds: HttpReads[O], hc: HeaderCarrier, ec: ExecutionContext): Future[O]
    Definition Classes
      HttpPost → CorePost
15.  def POSTString[O](url: URL, body: String, headers: Seq[(String, String)])(implicit rds: HttpReads[O], hc: HeaderCarrier, ec: ExecutionContext): Future[O]
    Definition Classes
      CorePost
16.  final def POSTString[O](url: URL, body: String)(implicit rds: HttpReads[O], hc: HeaderCarrier, ec: ExecutionContext): Future[O]
    Definition Classes
      CorePost
17.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
18.  def badGatewayMessage(verbName: String, url: String, e: Exception): String
    Definition Classes
      HttpVerb
19.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
20.  lazy val connectionLogger: Logger
    Definition Classes
      ConnectionTracing
21.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
22.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
23.  def executeHooks(verb: String, url: URL, headers: Seq[(String, String)], body: Option[HookData], responseF: Future[HttpResponse])(implicit hc: HeaderCarrier, ec: ExecutionContext): Unit
    Attributes
      protected
    Definition Classes
      HttpHooks
24.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
25.  def formatMessage(ld: LoggingDetails, method: String, uri: String, startAge: Long, message: String): String
    Definition Classes
      ConnectionTracing
26.  def gatewayTimeoutMessage(verbName: String, url: String, e: Exception): String
    Definition Classes
      HttpVerb
27.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
28.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
29.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
30.  def logResult[A](ld: LoggingDetails, method: String, uri: String, startAge: Long)(result: Try[A]): Unit
    Definition Classes
      ConnectionTracing
31.  def mapErrors(httpMethod: String, url: String, f: Future[HttpResponse])(implicit ec: ExecutionContext): Future[HttpResponse]
    Definition Classes
      HttpVerb
32.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
33.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
34.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
35.  def retry[A](verb: String, url: String)(block: ⇒ Future[A])(implicit ec: ExecutionContext): Future[A]
    Definition Classes
      Retries
36.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
37.  def toString(): String
    Definition Classes
      AnyRef → Any
38.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
39.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
40.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
41.  def withTracing[T](method: String, uri: String)(body: ⇒ Future[T])(implicit ld: LoggingDetails, ec: ExecutionContext): Future[T]
    Definition Classes
      ConnectionTracing

### Inherited from Retries

### Inherited from HttpHooks

### Inherited from ConnectionTracing

### Inherited from HttpVerb

### Inherited from Request

### Inherited from PostHttpTransport

### Inherited from CorePost

### Inherited from AnyRef

### Inherited from Any

### Ungrouped